summaryrefslogtreecommitdiff
path: root/redis.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-01 16:27:53 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-01 16:27:53 +0200
commit6e15685c0992a720507209c2c9b43a9c561ade5e (patch)
treee15071fc77f7435964d4b4036327df4815c5d9d8 /redis.sh
parent94090051d00b329559ce6ccfbbcb7b00f4509c7d (diff)
Removed bashismsh
Diffstat (limited to 'redis.sh')
-rwxr-xr-xredis.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/redis.sh b/redis.sh
index b669bee..503cfca 100755
--- a/redis.sh
+++ b/redis.sh
@@ -1,10 +1,10 @@
-#!/bin/bash
+#!/bin/sh
#
# Installs Redis.
# Author: Christoph Helma, Andreas Maunz.
#
-source "`pwd`/utils.sh"
+. "`pwd`/utils.sh"
DIR=`pwd`
if [ "$(id -u)" = "0" ]; then
@@ -63,8 +63,8 @@ if [ ! -f $REDIS_CONF ]; then
echo "export PATH=$REDIS_DEST/src:\$PATH" >> "$REDIS_CONF"
echo "Redis configuration has been stored in '$REDIS_CONF'."
- if ! grep "source \"$REDIS_CONF\"" $HOME/.bashrc; then
- echo "source \"$REDIS_CONF\"" >> $HOME/.bashrc
+ if ! grep ". \"$REDIS_CONF\"" $HOME/.bashrc; then
+ echo ". \"$REDIS_CONF\"" >> $HOME/.bashrc
fi
fi